\documentclass[a4wide]{article}

\PassOptionsToPackage{usenames,dvipsnames}{xcolor}
\usepackage[T1]{fontenc}
\usepackage{beamerarticle}
\usepackage{hyperref}

\usepackage{tikz}
\usepackage{onimage}

\usepackage{booktabs}
\usepackage{longtable}
\usepackage{version}

\def\labelitemi{--}

\usetikzlibrary{trees}
\usetikzlibrary{decorations.text}

\hypersetup{
  pdftitle={Introduction to Linux},
  pdfauthor={http://scitas.epfl.ch},
  colorlinks=true,
  urlcolor=blue
}

\tikzset{
  invisible/.style={opacity=0},
  visible on/.style={alt={#1{}{invisible}}},
  alt/.code args={<#1>#2#3}{%
    \alt<#1>{\pgfkeysalso{#2}}{\pgfkeysalso{#3}} % \pgfkeysalso doesn't change the path
  },
}


\title{Introduction to Linux}
\author{\url{scitas.epfl.ch}}
\date{\today}

\newcommand{\distroitem}[3]{%
  \item[]\vspace*{-1ex}\hspace*{-.3cm}\tikz[baseline]{%
      \node[anchor=base,text width=3ex, text centered]%
         (#2) at (0,-.1cm)%
           {\includegraphics[height=3ex, clip=true,trim=0 #1 0 0]{images/#2}};} #3}

\newcounter{exercise}
\setcounter{exercise}{0}
\newenvironment*{exo}[1]%
{\pagebreak[2]%
  \refstepcounter{exercise}\par%
  \noindent{\bf Exercise~\arabic{exercise}:~ \textit{#1}}\par}%
{\bigskip}

\usepackage{adjustbox}

\newenvironment{extrainfos}%
{\vspace{1ex}
  \begin{adjustbox}{minipage=[b]{0.9\linewidth},
      bgcolor={HTML}{EBF2F2},vspace=1ex 1ex,
      margin=2ex}}
{\end{adjustbox}}

\newenvironment{questions}%
{\begin{itemize}}
  {\end{itemize}}

\excludeversion{frame}
\excludeversion{command}
\excludeversion{block}

\usepackage{upquote}

\renewcommand{\note}[1]{}
\renewcommand{\only}[1]{}

\definecolor{colKeys}{rgb}{0,0,1}
\definecolor{colIdentifier}{rgb}{0,0,0}
\definecolor{colComments}{rgb}{0,.5,0}
\definecolor{colString}{rgb}{1,0,0}
\definecolor{colCppBg}{HTML}{EBF2F2}
\definecolor{colShellBg}{HTML}{F5EDE4}

\newcommand{\mybox}[2][fill=colShellBg]{%
  \tikz[baseline=-0.5ex] \node at (0,0) [#1,inner sep=2pt]{#2};}

\newcommand{\code}[1]{\mybox{\texttt{#1}}}


\begin{document}

\noindent {\bf EPFL \hfill scitas.epfl.ch\\
  \hfill Exercise sheet} \hfill  \today\\[-0.3cm]
\rule{\linewidth}{.3mm}
\vspace*{0.5pt}
\begin{center}
  {
    \LARGE \bfseries {\em Introduction to Linux}
    \bigskip
  }\\
\end{center}

\input{document}

\end{document}
